# IO_LightPointNode.cpp File Reference

`#include <osgSim/LightPointNode>`
`#include <osgSim/LightPoint>`
`#include <osg/ref_ptr>`
`#include "IO_LightPoint.h"`
`#include <iostream>`
`#include <string>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`
`#include <osgDB/ParameterOutput>`

Include dependency graph for IO_LightPointNode.cpp:

## Functions

bool | LightPointNode_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | LightPointNode_writeLocalData (const osg::Object &obj, osgDB::Output &fw)
osgDB::RegisterDotOsgWrapperProxy | LightPointNode_Proxy (new LightPointNode,"LightPointNode","Object Node LightPointNode",&LightPointNode_readLocalData,&LightPointNode_writeLocalData)

## Function Documentation

osgDB::RegisterDotOsgWrapperProxy LightPointNode_Proxy | ( | new | LightPointNode,
|  | "LightPointNode" | ,
|  | "Object Node LightPointNode" | ,
|  | & | LightPointNode_readLocalData,
|  | & | LightPointNode_writeLocalData
| ) |

bool LightPointNode_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

bool LightPointNode_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fw
| ) |